/***********************************************************************************************************
 * Copyright (c)  2023 - 2024, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : radio.h
 * Description : radio drvier header file
 * Author(s)   : yanhaihua
 * version     : V1.0
 * Modify date : 2024-10-26
 ***********************************************************************************************************/
#ifndef __RADIO_H__
#define __RADIO_H__

#include "typedefs.h"

#ifdef __cplusplus
extern "C" {
#endif

em_ret_t radio_init(void);

em_ret_t radio_into_idle(void);

void radio_into_tx(void);

void radio_into_sleep(void);

void radio_direct_data(u8_t level);

#ifdef __cplusplus
}
#endif

#endif
